<?xml version="1.0" encoding="iso-8859-1" ?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="2.0">
<xsl:output method="html" encoding="iso-8859-1"/>

<xsl:template match="Bibliographie">
<html>
	<head>
	<title>bibliographie avec les auteurs et un lien vers les e-mails</title>
	</head>
	<body>
		<ol>
		<h1><b>Bibliographie 
		
		</b></h1>
		<xsl:for-each select="Livre">
			<li>
			
			<b><xsl:apply-templates select="titre"/></b>
			
		    <b>Auteur(s)</b><br/>
			<table border="1px">
			<tr>
				<td width="50%">Nom</td><td width="50%">Tlphone(s)</td>
			</tr>
			<xsl:apply-templates select="auteur"/>
			</table>
			<br/>
			<b>Rsum : </b> <br/><xsl:apply-templates select="resume"/>
			</li>
			<br/><br/>			
		</xsl:for-each>
		
		</ol>
	</body>
</html>
</xsl:template>

<xsl:template match="titre">
<h2><xsl:apply-templates/></h2>
</xsl:template>

<xsl:template match="auteur">
<tr>
	<td width="50%">
	<xsl:if test="not(email)">
		<xsl:value-of select="nom"/>
		<xsl:value-of select="text()"/>
		<xsl:value-of select="prenom"/>
	</xsl:if>
	<xsl:if test="email">
	<a href="mailto:{email}">
		<xsl:value-of select="nom"/>
		<xsl:value-of select="text()"/>
		<xsl:value-of select="prenom"/>
	</a>
	</xsl:if >
	</td>
	
	<td width="50%">
	<xsl:for-each select="telBureau">
		<xsl:if test="position() = 1">
		<xsl:text> ( </xsl:text>
		</xsl:if>
		<xsl:apply-templates/>
		<xsl:if test="not(last()=position())">
		<xsl:text> ou </xsl:text>
		</xsl:if>
		<xsl:if test="last()=position()">
		<xsl:text> ) </xsl:text>
		</xsl:if>
	</xsl:for-each>
	</td>
</tr>
</xsl:template>

<xsl:template match="resume">
<xsl:apply-templates/>
</xsl:template>
 
<xsl:template match="texte">
<xsl:apply-templates/>
</xsl:template>

<xsl:template match="Gras">
<b>
<xsl:apply-templates/>
</b>
</xsl:template>

<xsl:template match="Italique">
<i>
<xsl:apply-templates/>
</i>
</xsl:template>

<xsl:template match="Souligne">
<u>
<xsl:apply-templates/>
</u>
</xsl:template>

</xsl:stylesheet>