<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="text" encoding="utf-8"	indent="yes" />
		
<xsl:template match="evaluations">
	<!-- On parcourt l'arbre ordonné par matière en s'arrêtant à chaque noeud débutant une nouvelle matière -->
	<xsl:for-each select="evaluation[not(@matiere = preceding-sibling::evaluation/@matiere)]">
		<xsl:sort select="@matiere"/>
		<xsl:variable name="vmatiere">
			<xsl:value-of select="@matiere"/>
		</xsl:variable>
		<xsl:text>Matière : </xsl:text><xsl:value-of select="$vmatiere"/>
		<xsl:call-template name="rl"/>
		<!-- la note de la matière courante -->
		<xsl:value-of select="note"/>
		<!-- les notes suivantes concernat la même matière -->
		<xsl:for-each select="following-sibling::evaluation[@matiere = $vmatiere]">
			<xsl:text>-</xsl:text>
			<xsl:value-of select="note"/>
		</xsl:for-each>
	<xsl:call-template name="rl"/>
	<xsl:call-template name="rl"/>
	</xsl:for-each>
</xsl:template>

<!-- cet patron nommé permet de générer un saut de ligne -->
<xsl:template name ="rl">
<xsl:text>
</xsl:text>
</xsl:template>

</xsl:stylesheet>


